picocli

## Class CommandLine.TypeConversionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - picocli.CommandLine.PicocliException
        - - picocli.CommandLine.TypeConversionException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  CommandLine

    public static class CommandLine.TypeConversionException
    extends CommandLine.PicocliException

Exception thrown by `CommandLine.ITypeConverter` implementations to indicate a String could not be converted.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CommandLine.TypeConversionException(java.lang.String msg)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CommandLine.TypeConversionException

    public CommandLine.TypeConversionException(java.lang.String msg)